Bug 216599 - Text color for "Active/New" view items too bright (pink on white)
Summary: Text color for "Active/New" view items too bright (pink on white)
Status: RESOLVED FIXED
Alias: None
Product: Oxygen
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: pinheiro
URL:
Keywords:
Depends on:
Blocks: 303974
  Show dependency treegraph
 
Reported: 2009-11-29 03:45 UTC by Christoph Feck
Modified: 2012-09-25 22:30 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.2


Attachments
Default Oxygen "Window" colors (40.87 KB, image/png)
2012-07-24 15:51 UTC, Christoph Feck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2009-11-29 03:45:51 UTC
Version:            (using Devel)
Installed from:    Compiled sources

It may be a relict of the old 16 color VGA palette used by early web browsers. I am talking about the pink text color used for active/new links.

The color is too bright against the default white View color, making it unsuitable for user's attention about new items. I'd suggest to make it darker, or use a different shade of color.
Comment 1 Hugo Pereira Da Costa 2009-12-05 20:48:11 UTC
Re-assigned to Nuno: can you pick a cool color for the above ? (I know you hate kcm).
Comment 2 pinheiro 2012-01-17 01:31:02 UTC
is this bug still valid?
Comment 3 Maarten De Meyer 2012-06-16 16:48:48 UTC
(In reply to comment #2)
> is this bug still valid?

Yes.
In the colors kcm on the colors tab you can see the default value for 'Active text' is bright pink. (#FF80E0)
Comment 4 Christoph Feck 2012-07-24 15:51:19 UTC
Created attachment 72726 [details]
Default Oxygen "Window" colors

It is even worse with "Active" against "Window" in default Oxygen palette. In fact, it is unreadable, see bug 303974.
Comment 5 Aurelien Gateau 2012-08-31 14:10:07 UTC
Git commit 0ec5ed1f6f9b782ca9fe3fbdafc7dc9177c0759e by Aurélien Gâteau.
Committed on 31/08/2012 at 16:07.
Pushed by gateau into branch 'KDE/4.9'.

Improve contrast of Oxygen colors

It mainly improves readability of ActiveText over Window background
Related: bug 303974
CCMAIL: nuno@oxygen-icons.org
FIXED-IN: 4.9.2

M  +7    -7    kcontrol/colors/schemes/Oxygen.colors

http://commits.kde.org/kde-workspace/0ec5ed1f6f9b782ca9fe3fbdafc7dc9177c0759e
Comment 6 Christoph Feck 2012-09-25 22:30:00 UTC
Git commit 772c9efa4606c815bea5059168234167ab9a2044 by Christoph Feck.
Committed on 26/09/2012 at 00:26.
Pushed by cfeck into branch 'KDE/4.9'.

Keep color changes in sync with kde-workspace
Related: bug 303974

M  +7    -7    kdeui/colors/kcolorscheme.cpp

http://commits.kde.org/kdelibs/772c9efa4606c815bea5059168234167ab9a2044